import { courseWeightSettingStatus } from "./api";

const state = {
  cwStatus: {
    // 曾经设置过情况,true:曾经设置过（编辑课程设置时警告提示）,false:从未设置过（不需要提示）
    everSettingStatus: false,
    // 当前设置情况,true:当前课程设置过权重，权重设置界面需要展示两个表单,false:当前未设置权重,权重设置界面只展示1个表单
    currentSettingStatus: false,
    // 教学课程管理者（创建人）id 当前登录人和课程创建人一致时“教学班”“教师团队”两个页签才能编辑，否则只能查看
    courseCreateId: "",
  },
};

const mutations = {
  setCwStatus(state, data) {
    state.cwStatus = Object.assign({}, state.cwStatus, data);
  },
  resetState(state) {
    state.cwStatus = {};
  },
};

const actions = {
  async updateCwStatus({ commit }, data) {
    const res = await courseWeightSettingStatus(data);
    commit("setCwStatus", res || {});
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
